<template>
  <AppWarning>
    <template #warning>
      <div class="ppn-contract-no-enitites">
        <p class="paragraph">По вашему запросу нет предложений.</p>
        <div class="row">
          <ul class="list">
            <li>
              <span class="dot circle-separator"/>
              Найти в
              <button
                @click="showLocationModal"
                class="link">другом городе
              </button>
            </li>
            <li>
              <span class="dot circle-separator"/>
              Найти в
              <flink
                href="/do/part"
                domain="main"
                class="link">контрактных запчастях
              </flink>
            </li>
            <li>
              <span class="dot circle-separator"/>
              Отправить
              <flink
                href="/request-to-spare"
                domain="main"
                class="link">запрос на запчасть
              </flink>
            </li>
          </ul>
        </div>
      </div>
    </template>
  </AppWarning>
</template>

<script>
import { createNamespacedHelpers } from 'vuex';

import {
  SHOW_LOCATION_MODAL,
} from '~/assets/js/store/actionManager/mutation-types';

import AppWarning from '~/components/redesign/app-warning';

const STORE_ACTION_MANAGER = createNamespacedHelpers('actionManager');

export default {
  name: 'PpnWarning',
  components: {
    AppWarning,
  },
  methods: {
    ...STORE_ACTION_MANAGER.mapMutations({
      showLocationModal: SHOW_LOCATION_MODAL,
    }),
  },
};
</script>
